# xarray.backends.ScipyDataStore.set_variables

`ScipyDataStore.``set_variables`(variables, check_encoding_set, writer, unlimited_dims=None)

  This provides a centralized method to set the variables on the data store.

  Parameters:

  - variables (dict-like) – Dictionary of key/value (variable name / xr.Variable) pairs
  - check_encoding_set (list-like) – List of variables that should be checked for invalid encoding values
  - writer (ArrayWriter) –
  - unlimited_dims (list-like) – List of dimension names that should be treated as unlimited dimensions.